Index: lib/gis/put_row.c
===================================================================
--- lib/gis/put_row.c	(revision 40542)
+++ lib/gis/put_row.c	(working copy)
@@ -122,6 +122,7 @@
  **********************************************************************/
 
 #include <string.h>
+#include <errno.h>
 
 #include <sys/types.h>
 #include <sys/stat.h>
@@ -304,12 +305,13 @@
 {
     struct fileinfo *fcb = &G__.fileinfo[fd];
 
-    if (fcb->io_error)
+    if (fcb->io_error > 2)
 	return;
 
-    G_warning(_("map [%s] - unable to write row %d"), fcb->name, row);
+    G_warning(_("map [%s] - unable to write row %d (%s)"), fcb->name, row,
+	      strerror(errno));
 
-    fcb->io_error = 1;
+    fcb->io_error++;
 
     return;
 }
